Skip to Content
inclamoDocs

Toggle typing status

POST
/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_typing

Toggles the typing status in a conversation

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

contact_identifier*string

The source id of contact obtained on contact create

conversation_id*integer

The numeric ID of the conversation

Query Parameters

typing_status*string

Typing status, either 'on' or 'off'

Request Body

application/json
  1. body
typing_status?string

The typing status to set

Value in"on""off"

Response Body

Typing status toggled successfully

Example Request
curl -X POST 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts/string/conversations/0/toggle_typing?typing_status=string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty